# Poco::ActiveRecord

# class KeylessActiveRecord

Library: ActiveRecord
Package: ActiveRecord
Header: Poco/ActiveRecord/ActiveRecord.h

## Description

The base class for all database objects that implement the ActiveRecord pattern, without a key column.

## Inheritance

Direct Base Classes: ActiveRecordBase

All Base Classes: ActiveRecordBase, Poco::RefCountedObject

## Member Summary

Member Functions: queryInto, toString

Inherited Functions: attach, context, create, detach, duplicate, insert, isAttached, isValid, referenceCount, release, remove, toString, update, withContext

## Types Aliases

### Ptr

using Ptr = Poco::AutoPtr < KeylessActiveRecord >;

## Member Functions

### toString

std::string toString() const;

See also: Poco::ActiveRecord::ActiveRecordBase::toString()

### queryInto

template < typename AR > static void queryInto(
Poco::Data::Statement & statement,
AR & ar
);

## Variables

### Query

template < typename ActRec > friend class Query;